Name: ovirt-engine-cli
Version: 3.2.0.9
Release: 2%{dist}
Summary: oVirt Engine Command Line Interface
Group: Development/Libraries
License: ASL 2.0
URL: http://ovirt.org

# git clone git://gerrit.ovirt.org/ovirt-engine-cli
# cd ovirt-engine-cli
# git archive --prefix ovirt-engine-cli-3.2.0.9/ 3.2.0.9 | xz > ovirt-engine-cli-3.2.0.9.tar.xz
Source: %{name}-%{version}.tar.xz

BuildRequires: python2-devel
BuildRequires: python-setuptools-devel
BuildRequires: python-ply
BuildRequires: python-kitchen

BuildArch: noarch

Requires: python
Requires: ovirt-engine-sdk >= 3.2.0.3
Requires: pexpect
Requires: python-setuptools
Requires: python-ply
Requires: python-kitchen

Conflicts: python-cli

# Need to use the pexpect-u instead of pexpect in the build script:
Patch1: 0001-Use-pexpect-u-instead-of-pexpect.patch

%description
The command line interface for oVirt-Engine.

%prep
%setup -q
%patch1 -p1

%build

# Call the method that generates the parsing tables, so that they
# are generated and included in the package:
pushd src
  %{__python} -c 'import cli.parser; parser = cli.parser.Parser(); parser._write_tables()'
popd

%{__python} -c 'import setuptools; execfile("setup.py")' build

%install

%{__python} -c 'import setuptools; execfile("setup.py")' install -O1 --skip-build --root %{buildroot}

%files
%defattr(-,root,root,-)
%{python_sitelib}/ovirtcli
%{python_sitelib}/cli
%{python_sitelib}/ovirt_shell-*
%attr (755,root,root)/usr/bin/ovirt-shell
%doc README
%doc AUTHORS
%doc LICENSE

%changelog
* Thu Jan 31 2013 Juan Hernandez <juan.hernandez@redhat.com> - 3.2.0.9-2
- Use pexpect-u instead of pexpect to really fix #905359

* Wed Jan 30 2013 Juan Hernandez <juan.hernandez@redhat.com> - 3.2.0.9-1
- Update to upstream 3.2.0.9
- Fix for #905359

* Mon Sep 24 2012 Juan Hernandez <juan.hernandez@redhat.com> - 3.2.0.5-1
- Update to upstream 3.2.0.5
- The storagedomain option apperas in all VM actions (#856164)
- Disallow specifying app internal options

* Thu Sep 20 2012 Juan Hernandez <juan.hernandez@redhat.com> - 3.2.0.4-1
- Update to upstream 3.2.0.4

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Apr 14 2012 Ofer Schreiber <oschreib@redhat.com> - 2.0-2
- Modified ovirt-engine-sdk dependency

* Thu Feb 16 2012 Ofer Schreiber <oschreib@redhat.com> - 2.0-1
- rebuilt for new upstream 2.0

* Wed Feb 15 2012 Michael Pasternak <mpastern@redhat.com> - 2.0
- New application core
- Added support for commands history stack
- Added support for context aware auto-competition
- Dynamic ovirt-engine-sdk meatdata discovering
- Removed restriction for specific version of ovirt-engine-sdk
  from 1.5 and further ovirt-engine-cli can work with any
  version of sdk (unless sdk introduced cli incompatible change)
- same naming convention in ovirt-engine-cli and ovirt-engine-sdk
- reformatted output to support reduced and expended modes in
  list in show commands by --show-all argument 
- object fields formatting
- added support for linux shell commands redirection
- shell output redirection support
- added SSL arguments to connect command
- added ovirt-engine-api version discovering mechanism

* Thu Jan 19 2012 Michael Pasternak <mpastern@redhat.com> - 1.2-1
- unable to add host #782734
  https://bugzilla.redhat.com/show_bug.cgi?id=782734
- unable to add new cluster #782707
  https://bugzilla.redhat.com/show_bug.cgi?id=782707

* Mon Jan 16 2012 Michael Pasternak <mpastern@redhat.com> - 1.1-1
- unable to create data-center: problem with --version param #781834
  https://bugzilla.redhat.com/show_bug.cgi?id=781834
- authentication show as succeeded with bad password (text only) #781820
  https://bugzilla.redhat.com/show_bug.cgi?id=781820

* Thu Dec 15 2011 Ofer Schreiber <oschreib@redhat.com> - 1.0-1
- Initial build
